import sys
sys.path.append('/home/jhauser/Dokumente/NGSolve/ngsuite/ngsolve-install/lib/python3/dist-packages/')
from ngsolve.TensorProductTools import *
from ngsolve import *
from netgen.geom2d import unit_square
import netgen.gui
from math import pi
from myngspy import *

meshx = Mesh(unit_square.GenerateMesh(maxh=0.5))
mesht = Mesh(SegMesh(2,0,1,periodic=True) )
tpmesh = Mesh(MakeTensorProductMesh(mesht,meshx)) 
Draw(tpmesh)

n=1
m=1

fesx = HCurl(meshx,order=n)
fest = H1(mesht,order=m)
tpfes = TensorProductFESpace([fest,fesx])
fesstd2 = L2(tpmesh,order = 4,dim=2)

print ("assemble")

mu =CoefficientFunction((ProlongateCoefficientFunction(1,1,tpfes),ProlongateCoefficientFunction(1,0,tpfes)))
eps = mu
rhs = eps

MyMaxwellAssembleSMALL(tpfes,eps,mu,rhs)
